Package com.datecs.util

# Class DecimalFormatter

java.lang.Object
com.datecs.util.DecimalFormatter

    public class DecimalFormatter
    extends java.lang.Object

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `DecimalFormatter()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `static java.lang.String` | `formatCurrency​(java.math.BigDecimal currencyValue, java.lang.String countryCode, boolean includeCurrencySymbol)` |
  `static java.lang.String` | `formatCurrency​(java.math.BigDecimal currencyValue, java.util.Locale locale)` |
  `static java.lang.String` | `formatCurrency​(java.math.BigDecimal currencyValue, java.util.Locale locale, boolean includeCurrencySymbol)` |
  `static java.lang.String` | `formatCurrency​(java.math.BigDecimal currencyValue, java.util.Locale locale, boolean includeCurrencySymbol, boolean includeGroupingSeparator)` |
  `static java.lang.String` | `formatCurrencyAsTicketReprint​(java.math.BigDecimal currencyValue, java.util.Locale locale)` |
  `static java.lang.String` | `formatDecimal​(java.math.BigDecimal decimalValue, java.util.Locale locale)` |

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DecimalFormatter

    public DecimalFormatter()

- ## Method Details

  - ### formatCurrency

    public static java.lang.String formatCurrency​(java.math.BigDecimal currencyValue, java.util.Locale locale)

  - ### formatCurrency

    public static java.lang.String formatCurrency​(java.math.BigDecimal currencyValue, java.util.Locale locale, boolean includeCurrencySymbol)

  - ### formatCurrency

    public static java.lang.String formatCurrency​(java.math.BigDecimal currencyValue, java.lang.String countryCode, boolean includeCurrencySymbol)

  - ### formatCurrency

    public static java.lang.String formatCurrency​(java.math.BigDecimal currencyValue, java.util.Locale locale, boolean includeCurrencySymbol, boolean includeGroupingSeparator)

  - ### formatDecimal

    public static java.lang.String formatDecimal​(java.math.BigDecimal decimalValue, java.util.Locale locale)

  - ### formatCurrencyAsTicketReprint

    public static java.lang.String formatCurrencyAsTicketReprint​(java.math.BigDecimal currencyValue, java.util.Locale locale)